.pt-o-game-draw-line-audio {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  &__container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    & > .__paper {
      width: 64.2rem;
      height: 100%;
      margin: 0 auto;
      font-size: 2rem;
      line-height: 3.2rem;
      position: relative;

      &.--hidden {
        display: none;
      }
      .__pin.--right {
        display: none;
      }

      & > .__toggle {
        width: 1.6rem;
        height: 1.6rem;
        cursor: pointer;
        position: absolute;
        top: 1.8rem;
        right: 3.6rem;
        z-index: 2;
        transform: rotate(45deg);
        .rs-toggle {
          .rs-toggle-presentation {
            background: $salmon;
          }
        }

        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: $kellyGreen;
          }
        }
      }

    }
  }
  &__left {
    width: 230px;
    max-width: 230px;
    height: 270px;
    max-height: 270px;
    border-radius: 9rem 0 0 9rem;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

    & > .__player {
      width: 12.8rem;
      height: 12.8rem;
    }

    & > .__duration {
      color: $dodgerBlue;
      font-family: 'mont_sb';
      font-size: 2.8rem;
      line-height: 3.4rem;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
    }
  }

  &__right {
    position: relative;
    max-width: calc(100% - 230px);
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background: $white;
    border-radius: 1.2rem;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    & > .__tapescript {
      min-width: 17.6rem;
      height: 4.6rem;
      background: linear-gradient($deepSkyBlue, $dodgerBlue);
      border-radius: 2.3rem;
      color: $white;
      font-family: 'mont_b';
      font-size: 1.8rem !important;
      position: absolute;
      bottom: 0;
      left: - 117.5px;
      transform: translateX(-50%);

      &:active {
        &::before {
          opacity: 1;
        }
      }

      &::before {
        width: 17.6rem;
        height: 4.6rem;
        background: $deepSkyBlue;
        border-radius: 2.3rem;
        color: $white;
        content: 'Tapescript';
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'mont_b';
        font-size: 1.8rem;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 0;
        left: 0;
      }
    }

    & > .__header {
      padding: 1.6rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      color: $white;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 2.2rem;
      position: relative;
      text-align: center;
      max-height: 45%;
      overflow: auto;
      &::-webkit-scrollbar {
        width: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 10px;
        margin-top: 1rem;
        margin-bottom: 1rem;
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 10px;
      }
    }

    & > .__content {
      padding: 1rem;
      flex: 1;
      position: relative;
      display: flex;
      justify-content: space-between;
      height: calc(100% - 6rem);
      #canvas-draw-line-1{
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        pointer-events: none;
        z-index: 5;
      }
      .block-item {
        display: flex;
        justify-content: center;
        flex: none;
        position: relative;
        &__list {
          width: 100%;
          padding: 0.6rem;
          position: absolute;
          top: 0;
          &__sub{
            width: fit-content;
          }
        }
        &_button {
          height: auto;
          min-height: 60px;
          width: 100%;
          border: 1px dashed #2692ff;
          border-radius: 2.6rem;
          margin-bottom: 1.6rem;
          display: flex;
          justify-content: center;
          align-items: center;
          position: relative;
          padding: 5px;
          @include screen-1080-landscape {
            &.--lg{
              font-size: 1.5rem !important;
            }
          }
          &:last-child {
            margin-bottom: 0;
          }

         
          &.default {
            border: none;
            & > button {
              border: 1px solid #97bee5;
              background: #fff;
              color: #000;
            }
          }
         
          &.matched {
            border: none;
            & > button {
              border: none;
              background: #97bee5;
              color: #fff;
              padding-left: 3.5rem;
              padding-right: 0.6rem;
            }
            &.--example {
              border: none;
              box-shadow: none;
              & > button {
                border: none;
                background: #67ab8d;
                color: #fff;
              }
              img.icon-deleted {
                display: none !important;
              }
            }
          }
          &.selected {
            border: none;
            & > button {
              border: 1px dashed #2692ff;
              background: #e9f4ff;
              color: #000;
            }
          }
          &.matching {
            box-shadow: 0 0 0 1px #2692ff;
            & > button {
              border: none;
              background: #2692ff;
              color: #fff;
              padding-left: 3.5rem;
              padding-right: 0.6rem;
            }
            img.icon-deleted {
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: block;
            }
          }
          &.--success {
            box-shadow: 0 0 0 1px $limeGreen;
            & > button {
              border: none;
              background: $limeGreen;
              color: #fff;
              padding-left: 3.5rem;
            }
            img.icon-deleted {
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
          }
          &.--danger {
            box-shadow: 0 0 0 1px $salmon;
            & > button {
              border: none;
              background: $salmon;
              color: #fff;
              padding-left: 3.5rem;
            }
            img.icon-deleted {
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
          }
          & > button {
            font-family: 'mont_m';
            height: auto;
            min-height: 50px;
            // width: calc(100% - 10px);
            width: 100%;
            text-align: center;
            border-radius: 2.1rem;
            background: #97bee5;
            border: 1px solid #2692ff;
            padding: 0.5rem;
          }
          img.image-button {
            position: absolute;
            border-radius: 50%;
            left: 1rem;
            height: 30px;
            width: 30px;
            object-fit: contain;
            cursor: pointer;
          }
          img.icon-deleted {
            height: 20px;
            width: auto;
            position: absolute;
            right: 5px;
            top: -5px;
            cursor: pointer;
            display: none;
          }
          img.icon-matching {
            visibility: hidden;
            height: 13px;
            width: auto;
            position: absolute;
            right: -2px;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
            &.--right {
              // display: none;
              height: 13px;
              width: auto;
              position: absolute;
              left: -2px;
              top: 50%;
              transform: translateY(-50%);
              cursor: pointer;
              &.--example-matching{
                display: flex;
              }
            }

            &.--example-matching{
              display: flex;
            }
          }
        }
        &:nth-child(1),
        &:nth-child(3) {
          max-width: 25%;
          width: 25%;
          display: flex;
          overflow-y: scroll;
          flex-direction: column;
          align-items: center;
          padding: 0 0.6rem;

          &::-webkit-scrollbar {
            width: 5px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
        }
        &:nth-child(2) {
          max-width: calc(50% - 2rem);
          width: calc(50% - 2rem);
          max-height: 100%;
          margin: 0 1rem;
          cursor: pointer;
          // box-shadow: 0 0 0 2px #97bee5;
          border-radius: 8px;
          display: flex;
          align-items: center;
          .wrap-image{
            max-height: 100%;
            // display: contents;
          }
          img {
            max-width: 100%;
            max-height: 100%;
            // object-fit: contain;

            &.icon-matching-image{
              position: absolute;
              height: 13px;
              width: 13px;
              visibility: hidden;
              &.--example-icon-matching{
                visibility: visible;
              }
            }
            
          }
        }
        .item-image {
          & > .item-image-content {
           
            &.--is-apple-device{
              transform: scaleZ(0);
            }
            &.--image-default {
                          -webkit-filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            }
            &.--image-selected {
              -webkit-filter: drop-shadow(0.3rem 0.3rem 0 #2692ff)
                drop-shadow(-0.3rem -0.3rem 0 #2692ff);
              filter: drop-shadow(0.3rem 0.3rem 0 #2692ff)
                drop-shadow(-0.3rem -0.3rem 0 #2692ff);
            }
            &.--example-image {
              filter: drop-shadow(0.3rem 0.3rem 0 #67ab8d)
              drop-shadow(-0.3rem -0.3rem 0 #67ab8d);
            }
          }
          &.--success {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 $limeGreen)
              drop-shadow(-0.3rem -0.3rem 0 $limeGreen);
            }
          }
          &.--danger {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 $salmon)
              drop-shadow(-0.3rem -0.3rem 0 $salmon)
            }
          }
          &.--default {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            }
          }
          &:has(img.--example-image){
            z-index: 4;
          }
          &:has(img.--image-selected){
            z-index: 5;
          }
        }
      }
    }
  }
  .__space {
    width: 8rem;
    height: 2.2rem;
    margin: 0 0.5rem;
    border-bottom: 0.2rem solid $cornflower;
    display: inline-block;
  }
  .pt-o-block-paper {
    &__container {
      width: 100%;
      & > div {
        & > div:nth-child(2) {
          display: none;
        }
      }
    }
  }
}

@include screen-1024-landscape{
  .pt-o-game-draw-line-audio {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 200px;
      max-width: 200px;
      height: 220px;
      max-height: 220px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;


      & > .__player {
        width: 10.8rem;
        height: 10.8rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.6rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 205px);
      width:calc(100% - 205px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.6rem !important;
        position: absolute;
        bottom: 3.2rem;
        left: - 102.5px;
        transform: translateX(-50%);
        @media screen and (max-height: 600px) {
          bottom: 0;
        }
        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1rem 2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem 0.5rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-between;
        height: calc(100% - 6rem);

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 0.6rem 0.2rem;
            position: absolute;
            top: 0;
          }
          &_button {
            height: auto;
            min-height: 50px;
            width: 100%;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &.matched {
              border: none;
              & > button {
                padding-left: 4rem;
                padding-right: 0.6rem;
              }
            }
            &:last-child {
              margin-bottom: 0;
            }

            & > button{
              font-size: 1.4rem !important;
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 1.2rem;
              height: 30px;
              width: 30px;
              object-fit: contain;
              cursor: pointer;
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 25%;
            width: 25%;
            display: flex;
            overflow-y: scroll;
            flex-direction: column;
            align-items: center;
            padding: 0;

            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(50% - 1rem);
            max-width: calc(50% - 1rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            height: 100%;
            img {
              // height: auto;
              max-width: 100%;
              // width: 100%;
              object-fit: contain;
              max-height: 100%;
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
}

@media only screen and (min-width: 767px) and (max-width: 1024px) and (max-aspect-ratio: 3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-line-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 1.6rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 12rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 0.6rem;
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            overflow-x: auto;
            flex-direction: column;
            &__sub{
              display: flex;
            }
          }
          &_button {
            height: 60px;
            max-height: 60px;
            flex: none;
            width: auto;
            padding: 0 0.5rem;
            min-width: 17rem;
            // max-width: 37rem;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 1.6rem;
            margin-right: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }
            & > button {
              font-family: 'mont_m';
              height: auto;
              min-height: 50px;
              width: calc(100%);
              text-align: center;
              border-radius: 2.1rem;
              background: #97bee5;
              border: 1px solid #2692ff;
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 1.6rem;
              height: 40px;
              width: 40px;
              max-width: 40px;
              object-fit: contain;
              cursor: pointer;
            }
            img.icon-deleted {
              height: 20px;
              width: 20px;
              object-fit: contain;
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
            img.icon-matching {
              visibility: hidden;
              height: 13px;
              width: 13px;
              object-fit: contain;
              position: absolute;
              left: 48%;
              top: 2px;
              cursor: pointer;
              
              &.--example-matching{
                display: flex;
              }
            }
            &.matched {
              border: none;
              & > button {
                padding-left: 5.8rem;
              }
            }

          }
          &:nth-child(2) {
            max-width: 100%;
            width: 100%;
            height: 35%;
            max-height: 35%;
            display: flex;
            margin: 0;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;
            padding: 0;
            border-radius: 0;
            box-shadow: none;
            overflow-x: auto;
            overflow-y: hidden;

            &::-webkit-scrollbar {
              height: 5px;
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(1) {
            width: calc(100% - 2rem);
            max-width: calc(100% - 2rem);
            height: 65%;
            cursor: pointer;
            margin: 0 1rem;
            padding: 0;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            margin-bottom: 2rem;
            img {
              // height: 100%;
              max-height: 100%;
              max-width: 100%;
              // width: auto;
              object-fit: contain;
              
              &.icon-matching-image{
                height: 13px;
                width: 13px;
              }
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
}

@media only screen and (max-width: 768px) and (max-aspect-ratio: 3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-line-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 0.6rem;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 2rem;
        }
  
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 12rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 3px;
            padding-top: 0.6rem;
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            overflow-x: auto;
            flex-direction: column;
            &__sub{
              display: flex;
            }
          }
          &_button {
            height: 60px;
            max-height: 60px;
            flex: none;
            width: auto;
            padding: 0 0.5rem;
            min-width: 17rem;
            // max-width: 37rem;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 1.6rem;
            margin-right: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }

            & > button {
              font-family: 'mont_m';
              height: auto;
              min-height: 50px;
              width: calc(100%);
              text-align: center;
              border-radius: 2.1rem;
              background: #97bee5;
              border: 1px solid #2692ff;
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 1.6rem;
              height: 40px;
              width: 40px;
              max-width: 40px;
              object-fit: contain;
              cursor: pointer;
            }
            img.icon-deleted {
              height: 20px;
              width: 20px;
              object-fit: contain;
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
            img.icon-matching {
              visibility: hidden;
              height: 13px;
              width: 13px;
              object-fit: contain;
              position: absolute;
              left: 48%;
              top: -1px;
              cursor: pointer;
              
              &.--example-matching{
                display: flex;
              }
            }
            &.matched {
              border: none;
              & > button {
                padding-left: 5.8rem;
              }
            }
          }
          &:nth-child(2) {
            max-width: 100%;
            width: 100%;
            height: 35%;
            max-height: 35%;
            max-height: max(60% , calc(100% - 100px));
            display: flex;
            margin: 0;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;
            padding: 0;
            border-radius: 0;
            box-shadow: none;
            overflow-x: auto;
            overflow-y: hidden;
            min-height: 98%;
            &::-webkit-scrollbar {
              height: 5px;
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(1) {
            width: calc(100% - 2rem);
            max-width: calc(100% - 2rem);
            cursor: pointer;
            margin: 0 1rem;
            padding: 0;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            margin-bottom: 2rem;
            height: max(65%, 100px);
            img {
              // height: 100%;
              max-height: 100%;
              max-width: 100%;
              // width: auto;
              object-fit: contain;
              
              &.icon-matching-image{
                height: 13px;
                width: 13px;
              }
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
}

@include screen-mobile-portrait {
  body#practice-test button {
    font-size: 1.2rem;
  }
  .pt-o-game-draw-line-audio {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: hidden;

      & > .__paper {
        width: 100%;
        font-size: 1.2rem;
        line-height: 2.2rem;

        .__pin.--left {
          top: 1rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 6rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: row;
      overflow: unset;
      justify-content: center;
      padding-top: 0.6rem;
      & > .__player {
        width: 3rem;
        height: 3rem;
        top: unset;
        position: relative;

        .pt-m-audio-player__play,
        .pt-m-audio-player__pause {
          width: 1.4rem !important;
          height: 2.3rem !important;
        }
      }

      & > .__duration {
        position: relative;
        bottom: 0;
        transform: unset;
        left: unset;
        font-size: 1.4rem;
        margin-left: 1.6rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 6.5rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 8.6rem;
        height: 3rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        top: -4rem;
        bottom: unset;
        left: 84%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.2rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.5rem 1rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 1.2 !important;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 0.6rem 1rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 5px 1px;
            padding-top: 0.6rem;
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            overflow-x: auto;
            display: flex;
            justify-content: flex-start;
            flex-direction: column;
            &__sub{
              display: flex;
            }
          }
          &_button {
            height: 35px;
            max-height: 35px;
            min-height: 35px;
            flex: none;
            width: auto;
            min-width: 12rem;
            // max-width: 31rem;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 0.6rem;
            margin-right: 1.2rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            
            button.content-button {
              font-family: 'mont_m';
              height: 30px;
              min-height: 30px;
              width: auto;
              min-width: 11rem;
              // max-width: 30rem;
              padding: 0.6rem;
              text-align: center;
              border-radius: 2.1rem;
            }

            &.matching, &.matched{
              button.content-button{
                padding-left: 3rem;
                padding-right: 1rem;
              }
            }
            &:last-child {
              margin-bottom: 0;
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 1.2rem;
              height: 20px;
              width: 20px;
              object-fit: contain;
              cursor: pointer;
            }
            img.icon-deleted {
              position: absolute;
              height: 15px;
              width: 15px;
              object-fit: contain;
              right: 5px;
              top: -5px;
              cursor: pointer;
            }
            img.icon-matching {
              position: absolute;
              height: 13px;
              width: 13px;
              object-fit: contain;
              right: 43%;
              top: 2px;
              cursor: pointer;
            }
          }
          &:nth-child(2) {
            max-width: 100%;
            width: 100%;
            height: 130px;
            min-height: 120px;
            display: flex;
            margin: 0;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;
            padding: 0;
            border-radius: 0;
            box-shadow: none;
            overflow-x: auto;
            overflow-y: hidden;

            &::-webkit-scrollbar {
              height: 5px;
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }

          &:nth-child(1) {
            width: 100%;
            max-width: 100%;
            max-height: max(60% , calc(100% - 100px));
            height: max(60% , calc(100% - 130px)) ;
            cursor: pointer;
            margin: 0;
            padding: 0;
            box-shadow: none;
            overflow: hidden;
            img {
              border-radius: 8px;
              height: auto;
              max-height: 100%;
              max-width: 100%;
              width: auto;
              object-fit: contain;
            }
          }
          @media screen and (max-height: 650px) and (max-aspect-ratio:3999/3000) {
            &:nth-child(1){
              height: max(60% , 100px);
            
            }
            &:nth-child(2){
              height: 40%;
              min-height:100px;
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
}

@include screen-960-landscape {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-line-audio {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 2rem;
          
        }
  
      }
    }
    &__left {
      width: 130px;
      max-width: 130px;
      height: 180px;
      max-height: 180px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      margin-top: -6rem;

      & > .__player {
        width: 8.4rem;
        height: 8.4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 130px);
      width: calc(100% - 130px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 12rem;
        height: 4rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        position: absolute;
        bottom: 0.2rem;
        left: - 65px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        justify-content: space-between;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 6px 6px 6px 2px;
            position: absolute;
            top: 0;
          }
          &_button {
            height: auto;
            min-height: 40px;
            width: 100%;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            &.matched {
              border: none;
              & > button {
                padding-left: 3.3rem;
                padding-right: 0.6rem;
              }
            }
            & > button {
              font-family: 'mont_m';
              height: auto;
              min-height: 40px;
              // width: calc(100% - 10px);
              font-size: 1.2rem !important;
              width: 100%;
              text-align: center;
              border-radius: 2.1rem;
              background: #97bee5;
              border: 1px solid #2692ff;
              &.--lg{
                font-size: 1.1rem !important;
              }
            }
            &:last-child {
              margin-bottom: 0;
            }
            img.icon-matching {
              visibility: hidden;
              height: 13px;
              width: 13px;
              object-fit: contain;
              position: absolute;
              right: 0px;
              top: 50%;
              cursor: pointer;
              &.--right {
                // display: none;
                height: 13px;
                width: 13px;
                object-fit: contain;
                position: absolute;
                left: 0px;
                top: 50%;
                cursor: pointer;
                &.--example-matching{
                  display: flex;
                }
              }
  
              &.--example-matching{
                display: flex;
              }
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 1.2rem;
              height: 25px;
              width: 25px;
              object-fit: contain;
              cursor: pointer;
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 25%;
            width: 25%;
            display: flex;
            overflow-y: scroll;
            flex-direction: column;
            align-items: center;
            padding: 0;

            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(50% - 1rem);
            max-width: calc(50% - 1rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            img {
              height: auto;
              max-width: 100%;
              // width: 100%;
              object-fit: contain;
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}

@media only screen and (max-width: 768px) and (min-aspect-ratio:4/3){
  body#practice-test button{
    font-size: 1.2rem;
  }
  .pt-o-game-draw-line-audio {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 100px;
      max-width: 100px;
      height: 130px;
      max-height: 130px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 4rem;
        height: 4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.6rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 100px);
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 7.6rem;
        height: 3rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        position: absolute;
        bottom: 0;
        left: - 50px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 0.5rem;
        flex: 1;
        position: relative;
        display: flex;
        justify-content: space-between;
  
        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 0.6rem 0.6rem 0.6rem 0.2rem;
            position: absolute;
            top: 0;
          }
          &_button {
            height: auto;
            min-height: 40px;
            width: 100%;
            border: 1px dashed #2692ff;
            border-radius: 2.6rem;
            margin-bottom: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            padding: 3px;
            &:last-child {
              margin-bottom: 0;
            }
            
            & > button {
              font-family: 'mont_m';
              height: auto;
              min-height: 34px;
              // width: calc(100% - 10px);
              font-size: 1rem !important;
              width: 100%;
              text-align: center;
              border-radius: 2.1rem;
              background: #97bee5;
              border: 1px solid #2692ff;
              &.--lg{
                font-size: 0.9rem !important;
              }
            }
            &.matching, &.matched{
              & > button {
                padding-left: 2.7rem;
                padding-right: 1rem;
              }
            }
            img.image-button {
              position: absolute;
              border-radius: 50%;
              left: 0.6rem;
              height: 20px;
              width: 20px;
              object-fit: contain;
              cursor: pointer;
            }
            img.icon-deleted {
              height: 15px;
              width: 15px;
              object-fit: contain;
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
            img.icon-matching {
              visibility: hidden;
              height: 13px;
              width: 13px;
              object-fit: contain;
              position: absolute;
              right: 0px;
              top: 50%;
              cursor: pointer;
              &.--right {
                // display: none;
                height: 13px;
                width: 13px;
                object-fit: contain;
                position: absolute;
                left: 0px;
                top: 50%;
                cursor: pointer;
                &.--example-matching{
                  display: flex;
                }
              }
  
              &.--example-matching{
                display: flex;
              }
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 25%;
            width: 25%;
            display: flex;
            overflow-y: scroll;
            flex-direction: column;
            align-items: center;
            padding: 0;
  
            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(50% - 1rem);
            max-width: calc(50% - 1rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            display: flex;
            align-items: center;
            img {
              height: auto;
              max-width: 100%;
              max-height: 100%;
              object-fit: contain;
  
              &.icon-matching-image{
                position: absolute;
                height: 13px;
                width: 13px;
                visibility: hidden;
                &.--example-icon-matching{
                  visibility: visible;
                }
              }
              
            }
          } 
          
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}